Bug 25423 - Mageiawelcome displays 32 bits architecture instead of armv7
Summary: Mageiawelcome displays 32 bits architecture instead of armv7
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 7
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA7-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2019-09-10 14:16 CEST by papoteur
Modified: 2019-09-21 13:08 CEST (History)
4 users (show)

See Also:
Source RPM: mageiawelcome-2.00
CVE:
Status comment:


Attachments

Description papoteur 2019-09-10 14:16:25 CEST
The application considers only 64 bits or 32 bits architectures. 
Correction is in 2.01
Comment 1 Lewis Smith 2019-09-10 20:49:54 CEST
Thank you, Yves; but:
What do we do with this?
Do we currently accept ARM bugs?
Is the new version in Updates Testing?
Push it via QA as an update - even if just to make sure it still works for 32/64 bit Intel architecture?
Do we have anyone who could test ARM?

CC: (none) => lewyssmith

Comment 2 papoteur 2019-09-10 20:56:56 CEST
Hi Lewis,
mageiawelcome-2.01-1.mga7 is now in updates_testing

QA test need only to be tested against regression in 32/64 bits.
But I hope to have at least one tester for arm.

Whiteboard: (none) => mga

papoteur 2019-09-10 20:58:00 CEST

Whiteboard: mga => (none)
Assignee: bugsquad => qa-bugs

Comment 3 David GEIGER 2019-09-11 07:42:04 CEST
Packages in 7/core/updates_testing:
========================
mageiawelcome-2.01-1.mga7.noarch.rpm

Source RPM: 
========================
mageiawelcome-2.01-1.mga7.src.rpm

CC: (none) => geiger.david68210

Comment 4 papoteur 2019-09-12 09:07:40 CEST
A user reported that "armv7l" is now displayed instead of 32-bits on a Raspberry PI.
https://www.mageialinux-online.org/forum/topic-25460-7+mageia-version-beta-disponible-pour-raspberry-pi.php#m257716
Comment 5 Len Lawrence 2019-09-20 10:51:28 CEST
mga7, x86_64

This updated cleanly and continues to work well.
OK to push based on this comment and comment 4.

Whiteboard: (none) => MGA7-64-OK
CC: (none) => tarazed25

Comment 6 Rémi Verschelde 2019-09-20 11:35:04 CEST
Advisory uploaded, validating.

Keywords: (none) => advisory, validated_update
CC: (none) => sysadmin-bugs

Comment 7 Mageia Robot 2019-09-21 13:08:45 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2019-0133.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.